summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-08-01 23:23:03 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-08-03 07:29:27 +0700
commit24d777d6fd83580862f659503c66c1cfc690b11a (patch)
tree93143e8ab413e6c4f3ee4139c133a247b0549d77 /development
parent826883177a2d08b8ff3b57d585855caba781b692 (diff)
downloadslackbuilds-24d777d6fd83580862f659503c66c1cfc690b11a.tar.gz
slackbuilds-24d777d6fd83580862f659503c66c1cfc690b11a.tar.xz
development/guile1.8: Use correct guile1.8.
Thanks to twy in LQ. Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/guile1.8/guile1.8.SlackBuild25
1 files changed, 13 insertions, 12 deletions
diff --git a/development/guile1.8/guile1.8.SlackBuild b/development/guile1.8/guile1.8.SlackBuild
index 3eaabbfcb0..4d4c6b587d 100644
--- a/development/guile1.8/guile1.8.SlackBuild
+++ b/development/guile1.8/guile1.8.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2013 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# Copyright 2013-2016 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,12 +23,12 @@
PRGNAM=guile1.8
SRCNAM=guile
VERSION=${VERSION:-1.8.8}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -39,8 +39,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -82,8 +82,8 @@ CFLAGS="$SLKCFLAGS" \
make -j1
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
@@ -103,17 +103,18 @@ if [ -d $PKG/usr/info ]; then
)
fi
-# remove duplicate file and use Slackware's guile.m4
+# Avoid duplicate with Slackware's guile.m4
# It can detect newer (2.0) and older (1.8) version of guile installed on system
-rm -f $PKG/usr/share/aclocal/guile.m4
+mv $PKG/usr/share/aclocal/guile.m4 $PKG/usr/share/aclocal/guile18.m4
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS COPYING* GUILE-VERSION \
- HACKING INSTALL LICENSE NEWS README* THANKS \
+cp -a AUTHORS COPYING* GUILE-VERSION HACKING INSTALL LICENSE NEWS README* THANKS \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+# Fix guile-config1.8 info
+sed -i '1s/guile/guile1.8/' -i $PKG/usr/bin/guile-config1.8
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc